package com.palmnest.webapp.quartz;

import com.palmnest.service.dinner.service.PlaceAnOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时每天22点将当天待送餐的订单置为待评价
 *
 * @author longmeizhen
 */
@Slf4j
@Component("dinnerConfirmServiceTimerTask")
public class DinnerConfirmServiceTimerTask {


	@Autowired
	private PlaceAnOrderService placeAnOrderService;

	private void run() {
		log.info("quartz into DinnerConfirmServiceTimerTask start ...");
		placeAnOrderService.updateOrderDinner();
		log.info("quartz into DinnerConfirmServiceTimerTask end ...");
	}
}
